%define name mmail
%define version 0.43
%define release 3mdk


Name:		%{name}
Summary:	MultiMail Offline Mailer Reader
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://multimail.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}-0.43.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
MultiMail is an offline mail packet reader for Unix and other systems.
(This version also compiles under MSDOS, with DJGPP; OS/2, with EMX; and
Win32, with RSX/NT.) It currently supports the Blue Wave and QWK formats.
It has a full screen, color user interface, built with the curses library.


%prep
%setup -q
%patch -p1


%build
PREFIX=%{buildroot}%{_prefix}
export PREFIX
export RPM_OPT_FLAGS

make


%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

PREFIX=%{buildroot}%{_prefix}
export PREFIX
HELPDIR=%{buildroot}%{_mandir}/man1
export HELPDIR

make install

# fix attributes of docs
chmod 0644 $RPM_BUILD_DIR/%{name}-%{version}/{COPYING,HISTORY,INSTALL,README,TODO,FAQ}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root,0755)
%doc COPYING HISTORY INSTALL README TODO FAQ
%{_bindir}/mm
%{_mandir}/man1/mm.1*
%{_mandir}/man1/mmail.1*



%changelog
* Thu Jan 02 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.43-3mdk 
- rebuild

* Thu Aug 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.43-2mdk
- rebuild

* Fri Jun 07 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.43-1mdk 
- 0.43

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.40-1mdk
- 0.40

* Wed Feb 21 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.38-1mdk 
- 0.38

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.37-4mdk 
- rebuild

* Sun Jul 30 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.37-3mdk 
- remove Packager
- BM

* Thu Jul 20 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.37-2mdk 
- macroization
- bzip patch

* Wed Jun 28 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.37-1mdk 
- 0.37

* Tue Jun 06 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.36-2mdk
- new url

* Sat Apr 29 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.36-1mdk
- 0.36

* Thu Apr 27 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.35-2mdk
- fix group

* Mon Feb 21 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.35
- specfile changes for spechelper

* Mon Feb 21 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.33

* Tue Dec 28 1999 Vincent Danen <vdanen@linux-mandrake.com>
- cleanup specfile, added URL

* Wed Dec 22 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix location of files

* Mon Nov 22 1999 Lenny Cartier <lenny@mandrakesoft.com>
- used the specfile from Vincent Danen <vdanen@linux-mandrake.com>
- new in contribs

* Wed Nov 17 1999 Vincent Danen <vdanen@linux-mandrake.com>
- updated specfile for Mandrake contribution
- added bzipping of manpages

* Tue Nov 9 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file to clean up properly
- specfile adaptations

* Sat Oct 30 1999 Vincent Danen <vdanen@softhome.net>
- 0.32

* Thu Oct 7 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file to patch Makefile (now use original source, completely
  unmodified)
- 0.31

* Thu Sep 30 1999 Vincent Danen <vdanen@softhome.net>
- 0.30

* Tue Sep 28 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file

* Tue Sep 7 1999 Vincent Danen <vdanen@softhome.net>
- wrote spec file
- changed default optimizations so that binaries can be made for any
  Intel architecture
- 0.29
